Namespace
library
Image / Tag
openjdk:22-ea-22
Content Digest
sha256:a74a6a86f10c6f808335e5928536c2310f56cfc4c297c48341c99ef55391a126
Details
Created

2023-11-04 00:55:32 UTC

Size

253 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-22

JAVA_VERSION

22-ea+22

LANG

C.UTF-8

PATH

/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:8e0176adc18c476bdfcc701f01cda5acf49bc8e6d7fadac8072091a43fafbb25 - 16.7% (42.2 MB)

[#001] sha256:0e7fcefe71b24cef619772a3adab6474d1dee79d5ec55a8ac900504be9b669d3 - 5.67% (14.3 MB)

[#002] sha256:95e55c5ec8fa58b2b8bd3c0a81b63d498823234b1f3322f413ea928f911fc73d - 77.63% (196 MB)


History
2023-10-20 18:27:20 UTC

/bin/sh -c #(nop) ADD file:0f45bdf93b14a2ab9389b71d23b6c7f6d2935c8016e3b6422814f8fc79bef986 in /

2023-10-20 18:27:20 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-10-20 18:45:06 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2023-10-20 18:45:06 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-22

2023-10-20 18:45:06 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-10-20 18:45:06 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-11-04 00:55:16 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+22

2023-11-04 00:55:31 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_linux-x64_bin.tar.gz'; downloadSha256='d6c2ae7f19a6ac9f7621d63fd978e6858b099a707b7d3e2a709cd18ebb0b9f61'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_linux-aarch64_bin.tar.gz'; downloadSha256='8ab5ab05cfca072f17b60158a4fb90db6e34a08bc815348729d0965e6bdf983a'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-11-04 00:55:32 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2023-11-04 00:20:54 UTC

Size

1.92 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-22

JAVA_SHA256

0372b2b4ac120b8b7b3cdf4a890449348d97633a699d14ea769a9a31de6de19d

JAVA_URL

https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_windows-x64_bin.zip

JAVA_VERSION

22-ea+22


Layers

[#000] sha256:7c76e5cf7755ce357ffb737715b0da6799a50ea468cc252c094f4d915d426b3f - 67.39% (1.29 GB)

[#001] sha256:e3d2471a50c8ec3ea61c16dd871f7b9167bf779faad2b6e5a6f72a18b88b846b - 22.87% (449 MB)

[#002] sha256:2a73b90f34f44bbbb354af4f3d4cc6cde597d2f5183641e139f7ca8b76ec3bb9 - 0.0% (1.26 KB)

[#003] sha256:71221770428be33fb112dc7596eb2857d0a894b9444c8ac1e070fb2713cf0cef - 0.02% (428 KB)

[#004] sha256:4d7edf8e3cbf42462ac6609acad01b5456938cdcc07b096dfebda103810e262f - 0.0% (1.39 KB)

[#005] sha256:935ab285e7bf5c8a65c15bf37e24c811dc80f14c18753ee554d67b2924e05265 - 0.01% (246 KB)

[#006] sha256:d0c2fc39cb13e3a7969857324cecf7f98cd507cce35ac2fb243990873ae47e80 - 0.0% (1.39 KB)

[#007] sha256:4b5152376e179cb4f6b0d6fbdec51068ab70bea0abe909bb1e063b1383311f32 - 0.0% (1.4 KB)

[#008] sha256:66742267690e53fac706f52331f7c962126d814667823ceaed9aa7eced16b478 - 0.0% (1.35 KB)

[#009] sha256:b6ff467865797690499ee29919899159835737e790682b7e7348251632abcebe - 9.7% (191 MB)

[#010] sha256:ee188eb9ecbba10df9aa5b2ca7cec36f73944e5c44facf5e77addacdcb370cc8 - 0.0% (1.4 KB)


History
2023-06-08 12:55:20 UTC

Apply image 10.0.20348.1787

2023-10-06 21:59:31 UTC

Install update 10.0.20348.2031

2023-10-11 01:35:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2023-10-11 03:48:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2023-10-11 03:48:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-22

2023-10-11 03:49:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2023-11-04 00:19:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=22-ea+22

2023-11-04 00:19:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_windows-x64_bin.zip

2023-11-04 00:19:59 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=0372b2b4ac120b8b7b3cdf4a890449348d97633a699d14ea769a9a31de6de19d

2023-11-04 00:20:52 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2023-11-04 00:20:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2023-11-04 00:22:53 UTC

Size

2.08 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-22

JAVA_SHA256

0372b2b4ac120b8b7b3cdf4a890449348d97633a699d14ea769a9a31de6de19d

JAVA_URL

https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_windows-x64_bin.zip

JAVA_VERSION

22-ea+22


Layers

[#000] sha256:c9226d61d3bdbf9f09821b32f5878623b8daaa5fb4f875cb63c199f87a26d57e - 73.95% (1.54 GB)

[#001] sha256:1af2bcb37edaec1dd87fc4a6f7c9129ca37bf1f91b65eb365ba9d4c70473beea - 17.07% (363 MB)

[#002] sha256:0814e4a0bb8c615854a85a2b60cd043cfd20ad5a5d755acab1b30b18e4bfad3c - 0.0% (1.29 KB)

[#003] sha256:f783cb3f1b4d13355b852dedee9d6d4d1970fb4493dc1642d1b2a2f2e81e868b - 0.02% (449 KB)

[#004] sha256:130ee22501b1f092f84a96a93216a4e26e770e6728f3298841b909959eed064c - 0.0% (1.25 KB)

[#005] sha256:2d71937d13c516a2428fe61543786cb08bd8e9b4ddf3d0bd80582d9e54be7950 - 0.01% (272 KB)

[#006] sha256:83f47c05fb257b038868c455e676cef9513677cc8f4696fa03390bbd9771408f - 0.0% (1.39 KB)

[#007] sha256:6e3e4a24fd0de55bf685710fa24e0c5c7babfe0005eca8a55886551ee61d47fa - 0.0% (1.38 KB)

[#008] sha256:81a7619f705c8b46e52eb4499163d4259c18e898bc9e2190d6ff577fa8fa315e - 0.0% (1.34 KB)

[#009] sha256:5cf8b545868f20027c10fa81076a08b410420c6606ff2ce13f5e63ed4948c764 - 8.95% (191 MB)

[#010] sha256:5d12eb93212131672930e5cbe09fe73aeab3d12c9605ae6ccb9c65501ba67d3c - 0.0% (1.38 KB)


History
2023-06-08 12:58:24 UTC

Apply image 10.0.17763.4499

2023-10-02 08:29:38 UTC

Install update 10.0.17763.4974

2023-10-11 01:36:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2023-10-11 03:51:39 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2023-10-11 03:51:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-22

2023-10-11 03:52:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2023-11-04 00:21:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=22-ea+22

2023-11-04 00:21:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_windows-x64_bin.zip

2023-11-04 00:21:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=0372b2b4ac120b8b7b3cdf4a890449348d97633a699d14ea769a9a31de6de19d

2023-11-04 00:22:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2023-11-04 00:22:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2023-11-04 00:41:56 UTC

Size

251 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-22

JAVA_VERSION

22-ea+22

LANG

C.UTF-8

PATH

/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e39ec8f010eb75816ae2c21b014f7fdecffb48374079b6f1bce017214e2a45cd - 16.59% (41.6 MB)

[#001] sha256:aa4910a471f6760b5f0bc0ef155e7afd624a4c1ea6f09bb680d43c1041cfd4fd - 5.95% (14.9 MB)

[#002] sha256:1b5a83debeeedb3600b07e1954a07b1f81cedcf2cd35e333a8fd98f043e0937d - 77.46% (194 MB)


History
2023-10-20 18:39:12 UTC

/bin/sh -c #(nop) ADD file:e189ba41c54c386435a3292026b75a1386976d3222102c16a725f58f594f284e in /

2023-10-20 18:39:12 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-10-20 19:20:37 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2023-10-20 19:20:38 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-22

2023-10-20 19:20:38 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-10-20 19:20:38 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-11-04 00:41:44 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+22

2023-11-04 00:41:54 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_linux-x64_bin.tar.gz'; downloadSha256='d6c2ae7f19a6ac9f7621d63fd978e6858b099a707b7d3e2a709cd18ebb0b9f61'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk22/22/GPL/openjdk-22-ea+22_linux-aarch64_bin.tar.gz'; downloadSha256='8ab5ab05cfca072f17b60158a4fb90db6e34a08bc815348729d0965e6bdf983a'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-11-04 00:41:56 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete